import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { MainComponent } from './component/main.component';
import { SettingsDashboardResolver } from './service/settings-dashboard.resolver';

const routes: Routes = [
  {
    path: '',
    component: MainComponent,
    resolve: {
      dashboards: SettingsDashboardResolver
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class SettingsDashboardRoutingModule {}
